# Uses of Class
it.tdlight.jni.TdApi.InputInvoice

## Uses of TdApi.InputInvoice in it.tdlight.jni

Subclasses of TdApi.InputInvoice in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InputInvoiceMessage`
An invoice from a message of the type messageInvoice.
`static final class`
`TdApi.InputInvoiceName`
An invoice from a link of the type internalLinkTypeInvoice.
`static final class`
`TdApi.InputInvoiceTelegram`
An invoice for a payment toward Telegram; must not be used in the in-store apps.
Fields in it.tdlight.jni declared as TdApi.InputInvoice
Modifier and Type
Field
Description
`TdApi.InputInvoice`
TdApi.GetPaymentForm.`inputInvoice`
The invoice.
`TdApi.InputInvoice`
TdApi.SendPaymentForm.`inputInvoice`
The invoice.
`TdApi.InputInvoice`
TdApi.ValidateOrderInfo.`inputInvoice`
The invoice.
Constructors in it.tdlight.jni with parameters of type TdApi.InputInvoice
Modifier
Constructor
Description
``
`GetPaymentForm(TdApi.InputInvoice inputInvoice, TdApi.ThemeParameters theme)`
Returns an invoice payment form.
``
`SendPaymentForm(TdApi.InputInvoice inputInvoice, long paymentFormId, String orderInfoId, String shippingOptionId, TdApi.InputCredentials credentials, long tipAmount)`
Sends a filled-out payment form to the bot for final verification.
``
`ValidateOrderInfo(TdApi.InputInvoice inputInvoice, TdApi.OrderInfo orderInfo, boolean allowSave)`
Validates the order information provided by a user and returns the available shipping options for a flexible invoice.